Summary: Amavis mail scanner
Name: amavisd-new
Version: 2.6.6
Release: 4%{?dist}
License: GPL
Group: System Environment/Daemons
URL: http://www.ijs.si/software/amavisd/
Source: http://www.ijs.si/software/amavisd/amavisd-new-%{version}.tar.gz
Source1: amavisd.sysv
Source2: amavisd.cron
Source3: amavisd.logrotate
Source4: amavisd.conf
BuildRequires: perl >= 5.8.1
BuildRequires: sendmail-devel >= 8.12
Requires: bzip2
Requires: cabextract
Requires: cpio
Requires: file >= 4.06
Requires: gzip
Requires: ncompress
Requires: pax
Requires: tnef
Requires: perl(Archive::Tar)
Requires: perl(Archive::Zip) >= 1.14
Requires: perl(BerkeleyDB)
Requires: perl(Compress::Zlib) >= 1.35
Requires: perl(Convert::TNEF)
Requires: perl(Convert::UUlib)
Requires: perl(Crypt::OpenSSL::RSA)
Requires: perl(DB_File)
Requires: perl(DBI) >= 1.43
Requires: perl(Digest::MD5) >= 2.22
Requires: perl(Digest::SHA1)
Requires: perl(Digest::HMAC)
Requires: perl(IO::Stringy)
Requires: perl(Mail::DKIM) >= 0.31
Requires: perl(Mail::SpamAssassin)
Requires: perl(MIME::Base64)
Requires: perl(MIME::Tools) >= 5.420
Requires: perl(Net::Cmd) >= 2.24
Requires: perl(Net::DNS)
Requires: perl(Net::Server) >= 0.93
Requires: perl(Time::HiRes) >= 1.49
Requires: perl(Unix::Syslog)
Requires: perl-HTML-Parser >= 3.24
Requires: perl-MailTools
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch

%description
amavisd-new is a high-performance interface between mailer (MTA) and content
checkers: virus scanners, and/or SpamAssassin.

%prep
%setup -q -n amavisd-new-%{version}
%build

%install
rm -rf %{buildroot}
install -d -m0755 %{buildroot}%{_sbindir}

install -d -m0775 %{buildroot}%{_localstatedir}/lib/amavis/
install -d -m0770 %{buildroot}%{_localstatedir}/lib/amavis/{db,tmp,var}/
install -d -m0770 %{buildroot}%{_localstatedir}/lib/amavis/virusmails/
install -d -m0755 %{buildroot}%{_localstatedir}/run/amavisd/
install -d -m0755 %{buildroot}%{_sysconfdir}/amavisd
install -d -m0755 %{buildroot}%{_sysconfdir}/amavisd/templates
install -d -m0755 %{buildroot}%{_datadir}/amavisd

install -Dp -m0755 amavisd %{buildroot}%{_sbindir}/amavisd
install -Dp -m0755 %{SOURCE1} %{buildroot}%{_initrddir}/amavisd
install -Dp -m0755 %{SOURCE2} %{buildroot}%{_sysconfdir}/cron.daily/amavisd
install -Dp -m0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/logrotate.d/amavisd
install -Dp -m0640 %{SOURCE4} %{buildroot}%{_sysconfdir}/amavisd.conf

# Remove sendmail cruft
rm -f %{buildroot}%{_sbindir}/amavis
rm -f %{buildroot}%{_sbindir}/amavis-milter

%clean
rm -rf %{buildroot}

%pre
if ! /usr/bin/id amavis &>/dev/null; then
	/usr/sbin/useradd -r -d "/var/lib/amavis" -s /sbin/nologin -c "Amavis email scan user" -M amavis >/dev/null 2>&1
fi

%post
if [ $1 -eq 1 ]; then
	/sbin/chkconfig --add amavisd
fi

%preun
if [ $1 -eq 0 ] ; then
    /sbin/service amavisd stop &>/dev/null || :
    /sbin/chkconfig --del amavisd
fi

%postun
if [ $1 -eq 0 ]; then
	/usr/sbin/userdel amavis >/dev/null 2>&1
	/usr/sbin/groupdel amavis >/dev/null 2>&1
else
	/sbin/service amavisd condrestart &>/dev/null || :
fi

%files
%defattr(-,root,root)
%doc AAAREADME.first LDAP.schema LICENSE MANIFEST README_FILES/* RELEASE_NOTES amavisd.conf* test-messages/
%attr(0644,root,amavis) %config(noreplace) %{_sysconfdir}/amavisd.conf
%dir %{_sysconfdir}/amavisd
%dir %{_sysconfdir}/amavisd/templates
%{_sysconfdir}/logrotate.d/amavisd
%{_sysconfdir}/amavisd
%{_sysconfdir}/cron.daily/amavisd
%{_sbindir}/amavisd
%{_initrddir}/amavisd
%defattr(-,amavis,amavis)
%dir %{_localstatedir}/run/amavisd/
%dir %{_localstatedir}/lib/amavis/
%dir %{_localstatedir}/lib/amavis/db/
%dir %{_localstatedir}/lib/amavis/tmp/
%dir %{_localstatedir}/lib/amavis/var/
%dir %{_localstatedir}/lib/amavis/virusmails/
%dir %{_datadir}/amavisd

%changelog
* Tue Jul 17 2012 ClearFoundation <developer@clearfoundation.com> - 2.6.6-4.clear
- Removed old version requirement on perl(Convert::UUlib)

* Mon May 11 2012 ClearFoundation <developer@clearfoundation.com> - 2.6.6-3.clear
- Removed clamd dependency

* Mon May 07 2012 ClearFoundation <developer@clearfoundation.com> - 2.6.6-2.clear
- Started changelog
